package com.ktg.iscs.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.ktg.common.mapper.BaseMapperX;
import com.ktg.iscs.domain.IsCheckTask;

/**
 * 检查任务Mapper接口
 *
 * @author cgj
 * @date 2024-12-12
 */
@Mapper
public interface IsCheckTaskMapper extends BaseMapperX<IsCheckTask>
{
    /**
     * 查询检查任务
     *
     * @param checkId 检查任务主键
     * @return 检查任务
     */
    IsCheckTask selectIsCheckTaskByCheckId(Long checkId);

    /**
     * 查询检查任务列表
     *
     * @param isCheckTask 检查任务
     * @return 检查任务集合
     */
    List<IsCheckTask> selectIsCheckTaskList(IsCheckTask isCheckTask);

    /**
     * 新增检查任务
     *
     * @param isCheckTask 检查任务
     * @return 结果
     */
    int insertIsCheckTask(IsCheckTask isCheckTask);

    /**
     * 修改检查任务
     *
     * @param isCheckTask 检查任务
     * @return 结果
     */
    int updateIsCheckTask(IsCheckTask isCheckTask);

    /**
     * 删除检查任务
     *
     * @param checkId 检查任务主键
     * @return 结果
     */
    int deleteIsCheckTaskByCheckId(Long checkId);

    /**
     * 批量删除检查任务
     *
     * @param checkIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteIsCheckTaskByCheckIds(Long[] checkIds);
}
